Summary:	Library for reading and writing ID3 tags
Summary(pl.UTF-8):	Biblioteka pozwalająca na odczyt i zapis znaczników ID3
Name:		libid3tag
Version:	0.15.1b
Release:	7
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.mars.org/pub/mpeg/%{name}-%{version}.tar.gz
# Source0-md5:	e5808ad997ba32c498803822078748c3
Patch0:		%{name}-id3v23.patch
Patch1:		%{name}-dos.patch
URL:		http://www.underbit.com/products/mad/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	zlib-devel
Obsoletes:	mad-libs < 0.15.0b
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libid3tag is a library for reading and (eventually) writing ID3 tags,
both ID3v1 and the various versions of ID3v2.

%description -l pl.UTF-8
libid3tag jest biblioteką do odczytu i zapisu znaczników ID3 - zarówno
w wersji ID3v1 jak też ID3v2.

%package devel
Summary:	Header files for libid3tag
Summary(pl.UTF-8):	Pliki nagłówkowe dla biblioteki libid3tag
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	zlib-devel
Obsoletes:	mad-devel < 0.15.0b

%description devel
Header files for libid3tag.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki libid3tag.

%package static
Summary:	Static libid3tag library
Summary(pl.UTF-8):	Biblioteka statyczna libid3tag
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	mad-static < 0.15.0b

%description static
Static libid3tag library.

%description static -l pl.UTF-8
Biblioteka statyczna libid3tag.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# Create an additional pkgconfig file
%{__cat} > id3tag.pc << EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: id3tag
Description: ID3 tag library
Requires:
Version: %{version}
Libs: -L%{_libdir} -lid3tag -lz
Cflags: -I%{_includedir}
EOF

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkgconfigdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install id3tag.pc $RPM_BUILD_ROOT%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES COPYRIGHT CREDITS README TODO
%attr(755,root,root) %{_libdir}/libid3tag.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libid3tag.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libid3tag.so
%{_libdir}/libid3tag.la
%{_includedir}/*.h
%{_pkgconfigdir}/id3tag.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libid3tag.a
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libid3tag.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 318abe9
- x32 rebuild
- release 7 (by relup.sh)

* Fri May 16 2008 Marcin Banasiak <marcin.banasiak@gmail.com> f05c548
- added -dos.patch (fixes CVE-2008-2109)
- release 6

* Fri May 16 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 57ee826
- fix for CVE-2008-2109

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 362074c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6c918f4
- converted to UTF-8

* Thu Jan 04 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 45914a7
- rel 5

* Mon Oct 02 2006 Jakub Bogusz <qboosh@pld-linux.org> 95c8a3e
- use _pkgconfigdir macro

* Wed Sep 27 2006 Elan Ruusamäe <glen@pld-linux.org> 445930b
- cosmetics

* Wed Sep 27 2006 Sławomir Paszkiewicz <paszczus@pld-linux.org> 8ed2cc7
- added hack to create libid3tag.pc file
- release 4 ; STBR

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 0396cc6
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Wed May 25 2005 Paweł Sikora <pluto@pld-linux.org> 42213d9
- release 3 for Th.

* Mon Aug 09 2004 havner <havner@pld-linux.org> ee143b4
- rel 2

* Fri Feb 20 2004 Jakub Bogusz <qboosh@pld-linux.org> bc98b07
- updated id3v23 patch

* Fri Feb 20 2004 Jakub Bogusz <qboosh@pld-linux.org> e53cbf7
- updated for 0.15.1b

* Thu Feb 19 2004 Jakub Bogusz <qboosh@pld-linux.org> c2d1c4f
- updated to 0.15.1b; -devel R: zlib-devel

* Sun Oct 19 2003 Jakub Bogusz <qboosh@pld-linux.org> 26b6e50
- added patch with ID3 v2.3 support from audacity; release 2

* Thu Jun 26 2003 Jakub Bogusz <qboosh@pld-linux.org> 2e89292
- cosmetics in descriptions

* Sat Jun 21 2003 migo <migo@pld-linux.org> be92331
- dunno if this provides/obsoletes stuff is correct, seems to work (modulo ldconfig)
- forgotten cosmetics
- rel 1.96

* Sat Jun 21 2003 migo <migo@pld-linux.org> 2efb37a
- proper(?) Conflicts:
- release 1.95

* Sat Jun 21 2003 deejay1 <deejay1@pld-linux.org> 7f85a96
- NFY ?

